org.apache.mina.transport.udp

## Class AbstractUdpServer

- java.lang.Object
- - org.apache.mina.service.AbstractIoService
  - - org.apache.mina.service.server.AbstractIoServer
    - - org.apache.mina.transport.udp.AbstractUdpServer

All Implemented Interfaces:
  IoClient, IoServer, IoService

Direct Known Subclasses:
  BioUdpServer, NioUdpServer

    public abstract class AbstractUdpServer
    extends AbstractIoServer
    implements IoClient

Base implementation for all the UDP servers.

Author:
  Apache MINA Project

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.mina.service.AbstractIoService

`AbstractIoService.ServiceState`

### Field Summary

### Fields inherited from class org.apache.mina.service.AbstractIoService

`config, ioHandlerExecutor`

### Constructor Summary

Constructors
`protected` `AbstractUdpServer(IoHandlerExecutor ioHandlerExecutor)` Create an new AbsractUdpServer instance
`protected` `AbstractUdpServer(UdpSessionConfig config, IoHandlerExecutor ioHandlerExecutor)` Create an new AbsractUdpServer instance

### Method Summary

Methods
`UdpSessionConfig` `getSessionConfig()` Returns the default configuration of the new `IoSession`s created by this service.
`void` `initSecured(IoSession session)`
`void` `setSessionConfig(UdpSessionConfig config)`

### Methods inherited from class org.apache.mina.service.server.AbstractIoServer

`isReuseAddress, setReuseAddress, setSessionConfig`

### Methods inherited from class org.apache.mina.service.AbstractIoService

`fireServiceActivated, fireServiceInactivated, getFilters, getIoHandler, getIoHandlerExecutor, getManagedSessions, initState, isActive, isCreated, isDisposed, isDisposing, isSuspended, setActive, setCreated, setDisposed, setDisposing, setFilters, setIoHandler, setSuspended`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.mina.api.IoClient

`connect`

### Methods inherited from interface org.apache.mina.api.IoServer

`bind, bind, getBoundAddress, unbind`

### Constructor Detail

#### AbstractUdpServer

    protected AbstractUdpServer(IoHandlerExecutor ioHandlerExecutor)

Create an new AbsractUdpServer instance

Parameters:
  `eventExecutor` - used for executing IoHandler event in another pool of thread (not in the low level I/O one). Use `null` if you don't want one. Be careful, the IoHandler processing will block the I/O operations.

#### AbstractUdpServer

    protected AbstractUdpServer(UdpSessionConfig config,
                     IoHandlerExecutor ioHandlerExecutor)

Create an new AbsractUdpServer instance

Parameters:
  `sessionConfig` - The configuration to use for this server
  `eventExecutor` - used for executing IoHandler event in another pool of thread (not in the low level I/O one). Use `null` if you don't want one. Be careful, the IoHandler processing will block the I/O operations.

### Method Detail

#### initSecured

    public void initSecured(IoSession session)
                     throws SSLException

Throws:
  `SSLException`

#### getSessionConfig

    public UdpSessionConfig getSessionConfig()

Returns the default configuration of the new `IoSession`s created by this service.

Specified by:
  `getSessionConfig` in interface `IoService`
Overrides:
  `getSessionConfig` in class `AbstractIoServer`
Returns:
  The default configuration for this `IoService`

#### setSessionConfig

    public void setSessionConfig(UdpSessionConfig config)